<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.4.0/css/font-awesome.min.css" type="text/css" rel="stylesheet" /> 


<style>
    * {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

.container {
  max-width: 960px;
  margin: 0 auto;
}

.overlay {
  background: rgba(0, 0, 0, 0.7);
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
}
.container .split-panel {
  float: left;
  width: 50%;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  text-align: center;
  position: relative;
}

.split-panel a {
  display: block;
  position: relative;
  color: rgb(30, 155, 221);
  transition: all 0.2s ease-in;
}

.split-panel a:hover {
  color: rgb(50, 215, 251);
}

.split-panel .overlay {
  transition: all 0.2s ease-in;
}
.split-panel:hover .overlay {
  background-color: rgba(0, 0, 0, 0.4);
}

.img1 {
  background: url("http://lorempixel.com/200/200");
}

.img2 {
  background: url("http://lorempixel.com/190/190");
}

.info-container {
  display: table;
  width: 100%;
  height: 540px;
}

.info {
  display: table-cell;
  vertical-align: middle;
  font-size: 2.2em;
  transition: all 0.2s ease-in-out;
}

.info:hover {
  transform: translateY(-20px);
}
.info i {
  margin-bottom: 20px;
}

</style>

<div class="container">

  <div class="split-panel img1">
    <div class="overlay"></div>
    <a href="https://google.com" class="">
      <div class="info-container">
        <div class="info">
          <i class="fa fa-3x fa-calendar"></i>
          <h2>Calendar</h2>
        </div>
      </div>
    </a>
  </div>

  <div class="split-panel img2">
    <div class="overlay"></div>
    <a href="http://yahoo.com">
      <div class="info-container">
        <div class="info">
          <i class="fa fa-3x fa-ticket"></i>
          <h2>Ticket</h2>
        </div>
      </div>
    </a>
  </div>

</div>