<?include $_SERVER['DOCUMENT_ROOT'].'/inc/paginas/seguridad_pagpublica.php';?>

<?
include $_SERVER['DOCUMENT_ROOT'].'/inc/script_bd/script_db.php';
include $_SERVER['DOCUMENT_ROOT'].'/inc/clases/conexion.class.php';
?>

<?include $_SERVER['DOCUMENT_ROOT'].'/inc/paginas/mail/envia_mail.php';?>
<?include $_SERVER['DOCUMENT_ROOT'].'/inc/cfg/config.php';?>
<?include $_SERVER['DOCUMENT_ROOT'].'/ws/ws_boleta_enternet.php';?>

<?include $_SERVER['DOCUMENT_ROOT'].'/inc/funciones/funciones.php';?>

<style>
    body  {
        background-image: url("images/transbank/background_tbk.gif");
    }
</style>

<body>

<?
//INICIO INSTANCIA DE LOG
$usuario_log = $_SESSION["usu_id"];
$ip_usuario_log=$_SERVER['REMOTE_ADDR'];
$pagina_origen_log = "webpay.php";
?>    

<?generaLogs("************************************************[INICIO OPERACION WEBPAY]************************************************",$usuario_log,$ip_usuario_log,$pagina_origen_log);?>

<?php
/**
* @category   Plugins/SDK
* @author     Allware Ltda. (http://www.allware.cl)
* @copyright  2018 Transbank S.A. (http://www.transbank.cl)
* @date       May 2018
* @license    GNU LGPL
* @version    2.0.4
* @link       http://transbankdevelopers.cl/
 */


include $_SERVER['DOCUMENT_ROOT'].'/lib/webpay/libwebpay/webpay.php';
//include $_SERVER['DOCUMENT_ROOT'].'/lib/webpay/certificates/cert-normal-597034949301.php';//Produccion 2019 Arriendo Futbolito
include $_SERVER['DOCUMENT_ROOT'].'/lib/webpay/certificates/cert-normal-597036199423.php';//Produccion 2021 Accin Total
//include $_SERVER['DOCUMENT_ROOT'].'/lib/webpay/certificates/cert-normal-597032335985.php';//Produccion 2016



/** Configuracion parametros de la clase Webpay */
$sample_baseurl = $_SERVER['REQUEST_SCHEME'] . "://" . $_SERVER['HTTP_HOST'] . $_SERVER['PHP_SELF'];
$sample_baseurl  = str_replace("http", "https", $sample_baseurl);

$configuration = new Configuration();
$configuration->setEnvironment($certificate['environment']);
$configuration->setCommerceCode($certificate['commerce_code']);
$configuration->setPrivateKey($certificate['private_key']);
$configuration->setPublicCert($certificate['public_cert']);
$configuration->setWebpayCert($certificate['webpay_cert']);


/*
 generaLogs("environment: ".$certificate['environment'],$usuario_log,$ip_usuario_log,$pagina_origen_log);
 generaLogs("commerce_code: ".$certificate['commerce_code'],$usuario_log,$ip_usuario_log,$pagina_origen_log);
 generaLogs("private_key: ".$certificate['private_key'],$usuario_log,$ip_usuario_log,$pagina_origen_log);
 generaLogs("public_cert: ".$certificate['public_cert'],$usuario_log,$ip_usuario_log,$pagina_origen_log);
 generaLogs("webpay_cert: ".$certificate['webpay_cert'],$usuario_log,$ip_usuario_log,$pagina_origen_log);
*/

/** Creacion Objeto Webpay */
$webpay = new Webpay($configuration);

$action = isset($_GET["action"]) ? $_GET["action"] : 'init';

$post_array = false;

switch ($action) {

    default:

        generaLogs("*******************INICIO DEFAULT******************************",$usuario_log,$ip_usuario_log,$pagina_origen_log);

        /** Monto de la transacción */
        //$amount = $_SESSION['amount']
        $amount = $_SESSION['total'];
        $montototal = $_SESSION['total'];

        /** Orden de compra de la tienda */
        //$buyOrder = $_SESSION['buyOrder'];
        $buyOrder = $_SESSION['idarriendo'];
        $idarriendo = $_SESSION['idarriendo'];

        /** Código comercio de la tienda entregado por Transbank */
        //$sessionId = $_SESSION['sessionId'];
        $sessionId = session_id();

        /* id del usuario */
        $userId = $_SESSION['usu_id'];
        $runusuario = $_SESSION['usu_id'];

        /** URL de retorno */
        $urlReturn = $sample_baseurl."?action=getResult";

        /** URL Final */
        $urlFinal  = $sample_baseurl."?action=end";

        generaLogs("*******************INICIO Pago WEB PAY - Datos Recibidos ******************************",$usuario_log,$ip_usuario_log,$pagina_origen_log);
        generaLogs("Inicio Pago WEBPAY",$usuario_log,$ip_usuario_log,$pagina_origen_log);
        generaLogs("buyOrder : ".$buyOrder,$usuario_log,$ip_usuario_log,$pagina_origen_log);
        generaLogs("amount : ".$amount,$usuario_log,$ip_usuario_log,$pagina_origen_log);
        generaLogs("sessionid : ".$sessionId,$usuario_log,$ip_usuario_log,$pagina_origen_log);
        generaLogs("userId : ".$userId,$usuario_log,$ip_usuario_log,$pagina_origen_log);
        generaLogs("urlReturn : ".$urlReturn,$usuario_log,$ip_usuario_log,$pagina_origen_log);
        generaLogs("urlFinal : ".$urlFinal,$usuario_log,$ip_usuario_log,$pagina_origen_log);
        
        if( (empty($buyOrder)) || ($buyOrder==0) ){
            ?>
            <script>
                window.location = 'index.php';
            </script>
            <?
            exit();
        }
        
        if( (empty($amount)) || ($amount==0) ){
            ?>
            <script>
                window.location = 'index.php';
            </script>
            <?
            exit();
        }
        
        if( (empty($userId)) || ($userId==0) ){
            ?>
            <script>
                window.location = 'index.php';
            </script>
            <?
            exit();
        }
        

        $request = array(
            "amount"    => $amount,
            "buyOrder"  => $buyOrder,
            "sessionId" => $sessionId,
            "urlReturn" => $urlReturn,
            "urlFinal"  => $urlFinal,
        );


        generaLogs("*******************INICIO initTransaction******************************",$usuario_log,$ip_usuario_log,$pagina_origen_log);
        generaLogs("[initTransaction]",$usuario_log,$ip_usuario_log,$pagina_origen_log);
        generaLogs("[REQUEST]",$usuario_log,$ip_usuario_log,$pagina_origen_log);
        generaLogs("(",$usuario_log,$ip_usuario_log,$pagina_origen_log);
        generaLogs("[wSTransactionType] => TR_NORMAL_WS",$usuario_log,$ip_usuario_log,$pagina_origen_log);
        generaLogs("[sessionId] => ".$request["sessionId"],$usuario_log,$ip_usuario_log,$pagina_origen_log);
        generaLogs("[returnURL] => ".$request["urlReturn"],$usuario_log,$ip_usuario_log,$pagina_origen_log);
        generaLogs("[finalURL] => ".$request["urlFinal"],$usuario_log,$ip_usuario_log,$pagina_origen_log);
        generaLogs("[transactionDetails]",$usuario_log,$ip_usuario_log,$pagina_origen_log);
        generaLogs("(",$usuario_log,$ip_usuario_log,$pagina_origen_log);
        generaLogs("[amount] => ".$request["amount"],$usuario_log,$ip_usuario_log,$pagina_origen_log);
        generaLogs("[commerceCode] => ".$certificate['commerce_code'],$usuario_log,$ip_usuario_log,$pagina_origen_log);
        generaLogs("[buyOrder] => ".$request["buyOrder"],$usuario_log,$ip_usuario_log,$pagina_origen_log);
        generaLogs(")",$usuario_log,$ip_usuario_log,$pagina_origen_log);
        
        
        $db = new db_mysql();
        $db->connect(); 
        
        $res_estado_pago_arriendo = $db->query("INSERT into resumen_historia_pago_arriendo_webpay (rhp_idarriendo,rhp_run,rhp_monto) 
                                                                                    VALUES ($buyOrder,$userId,$amount)");
        if(!$res_estado_pago_arriendo)
        {
         
         generaLogs("[ResultadoPagoWebPay] Error al Estado Pago Arriendo: ".$db->error(),$usuario_log,$ip_usuario_log,$pagina_origen_log);
         $next_page = "rechazo.php";
         exit();
        }
        
        //Actualizo el Estado del Pago de Arriendo de Cancha
        $res_estado_pago_arriendo = $db->query("INSERT into historia_pago_arriendo_webpay (hpw_idarriendo,hpw_estado,hpw_fechahoraestado) 
                                                                                    VALUES ($buyOrder,'Inicia Comunicacion Webpay',NOW() + INTERVAL $diferencia_horaria_servidor HOUR)");
        if(!$res_estado_pago_arriendo)
        {
         
         generaLogs("[ResultadoPagoWebPay] Error al Estado Pago Arriendo: ".$db->error(),$usuario_log,$ip_usuario_log,$pagina_origen_log);
         $next_page = "rechazo.php";
         exit();
        }else{                                        
            generaLogs("[ResultadoPagoWebPay] Actualiza Estado Pago Arriendo: OK",$usuario_log,$ip_usuario_log,$pagina_origen_log);
        }

        /** Iniciamos Transaccion */
        $result = $webpay->getNormalTransaction()->initTransaction($amount, $buyOrder, $sessionId, $urlReturn, $urlFinal);

        /** Verificamos respuesta de inicio en webpay */
        if (!empty($result->token) && isset($result->token)) {
            $message = "Sesion iniciada con exito en Webpay";
            $token = $result->token;
            $next_page = $result->url;

            generaLogs("[InicioPagoWebPay] ". $message,$usuario_log,$ip_usuario_log,$pagina_origen_log);
            generaLogs("[RESPONSE]",$usuario_log,$ip_usuario_log,$pagina_origen_log);
            generaLogs("(",$usuario_log,$ip_usuario_log,$pagina_origen_log);
            generaLogs("[token] => ".$result->token,$usuario_log,$ip_usuario_log,$pagina_origen_log);
            generaLogs("[url] => ".$result->url,$usuario_log,$ip_usuario_log,$pagina_origen_log);
            generaLogs(")",$usuario_log,$ip_usuario_log,$pagina_origen_log);
            generaLogs("*******************FIN initTransaction******************************",$usuario_log,$ip_usuario_log,$pagina_origen_log);
            
            //Actualizo el Estado del Pago de Arriendo de Cancha
            $res_estado_pago_arriendo = $db->query("INSERT into historia_pago_arriendo_webpay (hpw_idarriendo,hpw_estado,hpw_fechahoraestado) 
                                                                                        VALUES ($buyOrder,'Sesion iniciada con exito en Webpay',(NOW() + INTERVAL $diferencia_horaria_servidor HOUR))");
            if(!$res_estado_pago_arriendo)
            {
             
             generaLogs("[ResultadoPagoWebPay] Error al Estado Pago Arriendo: ".$db->error(),$usuario_log,$ip_usuario_log,$pagina_origen_log);
            }else{                                        
                generaLogs("[ResultadoPagoWebPay] Actualiza Estado Pago Arriendo: OK",$usuario_log,$ip_usuario_log,$pagina_origen_log);
            }

        } else {
            $message = "webpay no disponible";
            
            if(isset($result["error"])) {
                $message = "Error en Validacion de Certificado";

                generaLogs("[InicioPagoWebPay] Error",$usuario_log,$ip_usuario_log,$pagina_origen_log);
                generaLogs("[RESPONSE]",$usuario_log,$ip_usuario_log,$pagina_origen_log);
                generaLogs("(",$usuario_log,$ip_usuario_log,$pagina_origen_log);
                generaLogs("[error] => ".$result["error"],$usuario_log,$ip_usuario_log,$pagina_origen_log);
                generaLogs("[detail] => ".$result["detail"],$usuario_log,$ip_usuario_log,$pagina_origen_log);
                generaLogs(")",$usuario_log,$ip_usuario_log,$pagina_origen_log);
                generaLogs("*******************FIN initTransaction******************************",$usuario_log,$ip_usuario_log,$pagina_origen_log);
             
                //error_log("[InicioPagoWebPay] ". $message);
                //error_log("[PagoWebPay] ". $tipoPago);

                //header("Location: error_webpay.php");
                //header('Location: http://www.google.com/');
                $next_page = "rechazo.php";
            }else{
                $message = "Error de Comunicacion con Webpay";
                generaLogs("[InicioPagoWebPay] ". $message,$usuario_log,$ip_usuario_log,$pagina_origen_log);
                generaLogs("[RESPONSE]",$usuario_log,$ip_usuario_log,$pagina_origen_log);
                generaLogs("(",$usuario_log,$ip_usuario_log,$pagina_origen_log);
                generaLogs("[error] => ",$usuario_log,$ip_usuario_log,$pagina_origen_log);
                generaLogs("[detail] => ".$message,$usuario_log,$ip_usuario_log,$pagina_origen_log);
                generaLogs(")",$usuario_log,$ip_usuario_log,$pagina_origen_log);
                generaLogs("*******************FIN initTransaction******************************",$usuario_log,$ip_usuario_log,$pagina_origen_log);
            

               
                //header("Location: error_webpay.php");
                //header('Location: http://www.google.com/');
                $next_page = "error.php";
                //exit();
                //return;
            }
            
            //Actualizo el Estado del Pago de Arriendo de Cancha
            $res_estado_pago_arriendo = $db->query("INSERT into historia_pago_arriendo_webpay (hpw_idarriendo,hpw_estado,hpw_fechahoraestado) 
                                                                                        VALUES ($buyOrder,'$message',(NOW() + INTERVAL $diferencia_horaria_servidor HOUR))");
            if(!$res_estado_pago_arriendo)
            {
             
             generaLogs("[ResultadoPagoWebPay] Error al Estado Pago Arriendo: ".$db->error(),$usuario_log,$ip_usuario_log,$pagina_origen_log);
            }else{                                        
                generaLogs("[ResultadoPagoWebPay] Actualiza Estado Pago Arriendo: OK",$usuario_log,$ip_usuario_log,$pagina_origen_log);
            }
        }

        generaLogs("*******************FIN DEFAULT******************************",$usuario_log,$ip_usuario_log,$pagina_origen_log);
        
        $db->close(); 

        break;

    case "getResult":

        if (!isset($_POST["token_ws"]))
            break;

        /** Token de la transacción */
        $token = filter_input(INPUT_POST, 'token_ws');

        $request = array(
            "token" => filter_input(INPUT_POST, 'token_ws')
        );

        generaLogs("*******************INICIO getTransactionResult******************************",$usuario_log,$ip_usuario_log,$pagina_origen_log);
        generaLogs("[getTransactionResult]",$usuario_log,$ip_usuario_log,$pagina_origen_log);
        generaLogs("[REQUEST]",$usuario_log,$ip_usuario_log,$pagina_origen_log);
        generaLogs("(",$usuario_log,$ip_usuario_log,$pagina_origen_log);
        generaLogs("[token] => ".$request["token"],$usuario_log,$ip_usuario_log,$pagina_origen_log);
        generaLogs(")",$usuario_log,$ip_usuario_log,$pagina_origen_log);

        /** Rescatamos resultado y datos de la transaccion */
        $result = $webpay->getNormalTransaction()->getTransactionResult($token);

        $output = $result->detailOutput;

        /** Verificamos resultado  de transacción */
        if ($output->responseCode == 0) {

            $buyOrder_returntbk = $result->buyOrder;
            $montototal_returntbk = $result->detailOutput->amount;
            $token = $request["token"];
            $idarriendo_returntbk = $output->buyOrder;


            $message = "Pago ACEPTADO por webpay (se deben guardatos para mostrar voucher)";
            $next_page = $result->urlRedirection;

            $_SESSION['exito_operacion'] = 0;
            generaLogs("[responseCode] Exito Operacion : ". $_SESSION['exito_operacion'],$usuario_log,$ip_usuario_log,$pagina_origen_log);
            generaLogs("[RESPONSE]",$usuario_log,$ip_usuario_log,$pagina_origen_log);     
            generaLogs("(",$usuario_log,$ip_usuario_log,$pagina_origen_log);     
            generaLogs("[accountingDate] => ".$result->accountingDate,$usuario_log,$ip_usuario_log,$pagina_origen_log);     
            generaLogs("[buyOrder] => ".$result->buyOrder,$usuario_log,$ip_usuario_log,$pagina_origen_log);     
            generaLogs("[sessionId] => ".$result->sessionId,$usuario_log,$ip_usuario_log,$pagina_origen_log);     
            generaLogs("[cardDetail]",$usuario_log,$ip_usuario_log,$pagina_origen_log);     
            generaLogs("(",$usuario_log,$ip_usuario_log,$pagina_origen_log);     
            generaLogs("[cardNumber] => ". $result->cardDetail->cardNumber,$usuario_log,$ip_usuario_log,$pagina_origen_log);   
            generaLogs("[cardExpirationDate] => ".$result->cardDetail->cardExpirationDate,$usuario_log,$ip_usuario_log,$pagina_origen_log); 
            generaLogs(")",$usuario_log,$ip_usuario_log,$pagina_origen_log);   
            generaLogs("[detailOutput]",$usuario_log,$ip_usuario_log,$pagina_origen_log);     
            generaLogs("(",$usuario_log,$ip_usuario_log,$pagina_origen_log);     
            generaLogs("[authorizationCode] => ".$output->authorizationCode,$usuario_log,$ip_usuario_log,$pagina_origen_log);     
            generaLogs("[paymentType1] => ".$result->detailOutput->paymentTypeCode,$usuario_log,$ip_usuario_log,$pagina_origen_log);     
            generaLogs("[paymentType2] => ".$output->paymentTypeCode,$usuario_log,$ip_usuario_log,$pagina_origen_log);     
            generaLogs("[responseCode] => ".$output->responseCode,$usuario_log,$ip_usuario_log,$pagina_origen_log);     
            generaLogs("[sharesNumber] => ".$output->sharesNumber,$usuario_log,$ip_usuario_log,$pagina_origen_log);     
            generaLogs("[shareAmount] => ".$output->shareAmount,$usuario_log,$ip_usuario_log,$pagina_origen_log);     
            generaLogs("[amount] => ".$output->amount,$usuario_log,$ip_usuario_log,$pagina_origen_log);     
            generaLogs("[commerceCode] => ".$output->commerceCode,$usuario_log,$ip_usuario_log,$pagina_origen_log);     
            generaLogs("[buyOrder] => ".$output->buyOrder,$usuario_log,$ip_usuario_log,$pagina_origen_log);     
            generaLogs(")",$usuario_log,$ip_usuario_log,$pagina_origen_log);     
            generaLogs("[sessionId] => ".$result->sessionId,$usuario_log,$ip_usuario_log,$pagina_origen_log);     
            generaLogs("[transactionDate] => ".$result->transactionDate,$usuario_log,$ip_usuario_log,$pagina_origen_log);     
            generaLogs("[urlRedirection] => ".$result->urlRedirection,$usuario_log,$ip_usuario_log,$pagina_origen_log);     
            generaLogs("[VCI] => TSY",$usuario_log,$ip_usuario_log,$pagina_origen_log);   
            generaLogs(")",$usuario_log,$ip_usuario_log,$pagina_origen_log);     
            generaLogs("*******************FIN getTransactionResult******************************",$usuario_log,$ip_usuario_log,$pagina_origen_log);   



            /* ACTUALIZAR PAGO DE ITEM PAGADO */
            $db = new db_mysql();
            $db->connect();  

            generaLogs("[ActualizaEstadoPago] montototal: ". $montototal_returntbk,$usuario_log,$ip_usuario_log,$pagina_origen_log);
            generaLogs("[ActualizaEstadoPago] idarriendo: ". $idarriendo_returntbk,$usuario_log,$ip_usuario_log,$pagina_origen_log);
            
            $res_arriendo_unidos = $db->query("SELECT * from union_arriendos,arriendo,cancha WHERE uar_idarriendopadre = $idarriendo_returntbk and arr_idarriendo = uar_idarriendohijo and arr_cancha = can_nrocancha;");
                                               
            if(!$res_arriendo_unidos)
            {
             
             generaLogs("[ResultadoPagoWebPay] Error al Recuperar Arriendos Unidos: SELECT * from union_arriendos,arriendo,cancha WHERE uar_idarriendopadre = $idarriendo_returntbk and arr_idarriendo = uar_idarriendohijo and arr_cancha = can_nrocancha" ,$usuario_log,$ip_usuario_log,$pagina_origen_log);
             return false;
             exit();
            }
            
            $hora_arriendo = "";
            $montoarriendopagado = 0;
            while($row_arriendo_unidos = mysqli_fetch_array($res_arriendo_unidos)){
                
                $idarriendopagado = $row_arriendo_unidos['uar_idarriendohijo'];
                $fecha_arriendo = FechaaNormal($row_arriendo_unidos['uar_fecha']);
                //$montoarriendopagado = $row_arriendo_unidos['uar_costo'];
                $montoarriendopagado = $montototal_returntbk;
                $nombrecliente = $row_arriendo_unidos['uar_cliente'];
                $mail_cliente = $row_arriendo_unidos['uar_mail'];
                $tipoboletalugar = $row_arriendo_unidos['can_tipoboleta'];
                $lugar = $row_arriendo_unidos['uar_lugar'];
                $complejo = $row_arriendo_unidos['uar_complejo'];
                $complejo_dir = $row_arriendo_unidos['uar_direccion'];
                $complejo_telefono = $row_arriendo_unidos['uar_telefono'];
                $hora_arriendo = $hora_arriendo.$row_arriendo_unidos['uar_fhoinifin'].' <br>';
                 //Inserto Pagos
                $res_arriendo_pagado = $db->query("INSERT into arriendo_pago(arp_idarriendo,arp_monto,arp_tipopago,arp_usupago,arp_fechhorapago) 
                                                                VALUES ($idarriendopagado,$montoarriendopagado,'WEBPA',0,(NOW() + INTERVAL $diferencia_horaria_servidor HOUR));");
                if(!$res_arriendo_pagado)
                {
                 
                 generaLogs("[ResultadoPagoWebPay] Error al Insertar Pagos Arriendo: ".$db->error(),$usuario_log,$ip_usuario_log,$pagina_origen_log);
                 return false;
                 exit();
                }else{                                        
                    generaLogs("[ResultadoPagoWebPay] Insertar Pagos Arriendos OK",$usuario_log,$ip_usuario_log,$pagina_origen_log);
                }
                
            }

            //Actualizo el Estado de los Arriendos Unidos
            $res_arriendo2 = $db->query("UPDATE arriendo SET arr_estadoarriendo = 'ARREN', 
                                                            arr_token = '$token',
                                                            arr_tipopagoarrien = 'WEBPA'
                                                        WHERE (arr_idunion = $idarriendo_returntbk or arr_idarriendo = $idarriendo_returntbk);");
            if(!$res_arriendo2)
            {
             
             generaLogs("[ResultadoPagoWebPay] Error al Actualizar Arriendo Unidos: ".$db->error(),$usuario_log,$ip_usuario_log,$pagina_origen_log);
             return false;
             exit();
            }else{                                        
                generaLogs("[ResultadoPagoWebPay] Actualiza Arriendo Unidos BD Arriendo (OrdenCompra) : OK",$usuario_log,$ip_usuario_log,$pagina_origen_log);
            }


            //Seteo Variables Retornadas
            $idarriendo = $idarriendo_returntbk;
            $buyOrder = $idarriendo;

            //Seteo Variables Retornadas
         
            /* ACTUALIZAR PAGO DE ITEM PAGADO */

            /* INSERTADO DETALLE PAGO */

            $_SESSION['idarriendo'] = $idarriendo;
            
            $montototal = $montototal_returntbk;
            $_SESSION['total'] = $montototal;

            $fechacontable = $result->accountingDate;
            $nroorden = $output->buyOrder;
            $sesionid = $result->sessionId;

            //$fecautorizacion = $result->transactionDate;
            $fechaHoraTransaccion = date_create($result->transactionDate);
            $fecautorizacion = date_format($fechaHoraTransaccion,"d/m/Y H:i:s");
            //$fecautorizacion = date('d/m/Y H:i:s');

            $codautorizacion = $output->authorizationCode;
            $codtipopago = $result->detailOutput->paymentTypeCode;
            $montototal = $output->amount;
            $nrocuotas = $output->sharesNumber;
            $valorcuota = $output->shareAmount;
            $nrotarjeta = $result->cardDetail->cardNumber;
            $codigocomercio = $output->commerceCode;

            if(empty($valorcuota)){
                $valorcuota = 0;
            }

            /* ACTUALIZAR PAGO DE ITEM PAGADO */
            //Inserto Detalle Pago
            $res_det_pago = $db->query("INSERT into detalle_pago_transbank
                                          (dpt_idarriendo,dpt_fechacontable,dpt_nroordencompra,dpt_idsession,dpt_fechaautorizacion,dpt_codigoautorizacion,dpt_tipopago,dpt_montopagado,dpt_nrocuota,dpt_valorcuota,dpt_nrotarjeta,dpt_codigocomercio,dpr_token)
                                    VALUES($idarriendo_returntbk,'$fechacontable',$nroorden,'$sesionid','$fecautorizacion','$codautorizacion','$codtipopago',$montototal_returntbk,$nrocuotas,$valorcuota,'$nrotarjeta','$codigocomercio','$token');");
            if(!$res_det_pago)
            {                                     
             generaLogs("[ResultadoPagoWebPay] Error al Insertar Detalle Pago Arriendo: ".$db->error(),$usuario_log,$ip_usuario_log,$pagina_origen_log);
             return false;
             exit();
            }else{
                //Seteo Variables Retornadas
                $buyOrder = $buyOrder_returntbk;

                $_SESSION['buyOrder'] = $buyOrder;
                $montototal = $montototal_returntbk;
                $_SESSION['total'] = $montototal;
                $_SESSION['exito_operacion'] = 0;
                generaLogs("[Actualizacion Pago BD] Exito al Insertar Pago OK : ". $_SESSION['exito_operacion'],$usuario_log,$ip_usuario_log,$pagina_origen_log);
            
            }
            
            
            //Actualizo el Estado del Pago de Arriendo de Cancha
            $res_estado_pago_arriendo = $db->query("INSERT into historia_pago_arriendo_webpay (hpw_idarriendo,hpw_estado,hpw_fechahoraestado) 
                                                                                        VALUES ($buyOrder,'Pago ACEPTADO por webpay',(NOW() + INTERVAL $diferencia_horaria_servidor HOUR))");
            if(!$res_estado_pago_arriendo)
            {
                generaLogs("[ResultadoPagoWebPay] Error al Estado Pago Arriendo: ".$db->error(),$usuario_log,$ip_usuario_log,$pagina_origen_log);
            }else{                                        
                generaLogs("[ResultadoPagoWebPay] Actualiza Estado Pago Arriendo: OK",$usuario_log,$ip_usuario_log,$pagina_origen_log);
            }

            
            //Generacin Boleta
            if($ind_genera_boleta=="S"){

                 generaLogs("*******************INICIO Generacion Boleta******************************",$usuario_log,$ip_usuario_log,$pagina_origen_log);   
                 
                if($tipoboletalugar=="AFECT"){
                    $resp_boleta = createBoletaAfecta($buyOrder);    
                }else{
                    $resp_boleta = createBoletaExenta($buyOrder);    
                }

                generaLogs("[Resultado Generacion Boleta] Respuesta Recibida: ".$resp_boleta,$usuario_log,$ip_usuario_log,$pagina_origen_log);
                $resultado_resp_boleta = explode("|", $resp_boleta);
                generaLogs("[Resultado Generacion Boleta] Cantidad Respuesta Recibida: ". count($resultado_resp_boleta),$usuario_log,$ip_usuario_log,$pagina_origen_log);

                if(count($resultado_resp_boleta)==2){
                    generaLogs("*******************Resultado Generacion Boleta Recibido OK******************************",$usuario_log,$ip_usuario_log,$pagina_origen_log); 
                    $urlboleta = $resultado_resp_boleta[1];
                }else{
                    generaLogs("*******************Error al Generar Boleta ******************************",$usuario_log,$ip_usuario_log,$pagina_origen_log);  
                }

                generaLogs("*******************FIN Generacion Boleta******************************",$usuario_log,$ip_usuario_log,$pagina_origen_log);   
            

            }

            //Envo e-Mail
            generaLogs("*******************INICIO Envio de e-Mail******************************",$usuario_log,$ip_usuario_log,$pagina_origen_log);   
             

            $montocancelado = $montoarriendopagado;
            $nombrecliente = $row_arriendo_unidos['uar_cliente'];
            $hora = $hora_arriendo;

             /*    
             if($ind_genera_boleta=="S"){
             noticia_arriendo_cancha_cliente_boleta($headers,$pie,$path,$row_arriendo_cliente['cli_mail'],$mail_salida,$logo_pagina,$row_arriendo_cliente['com_nombre'],FechaaNormal($row_arriendo_cliente['arr_fecha_format']),$hora,$row_arriendo_cliente['can_nombre'],$nombrecliente,$montocancelado,$montocancelado,0,$urlboleta);
             }else{
             noticia_arriendo_cancha_cliente($headers,$pie,$path,$row_arriendo_cliente['cli_mail'],$mail_salida,$logo_pagina,$row_arriendo_cliente['com_nombre'],FechaaNormal($row_arriendo_cliente['arr_fecha_format']),$hora,$row_arriendo_cliente['can_nombre'],$nombrecliente,$montocancelado,$montocancelado,0);
             }
             */
             //$urlboleta = "http://google.com";
             if($ind_genera_boleta=="S"){
                notifica_arriendo_cancha_cliente_configurable_boleta($headers,$pie,$path,$idarriendo,$mail_cliente,$mail_salida,$logo_pagina,$nom_cliente,$complejo_dir,$complejo_telefono,$fecha_arriendo,$hora,$lugar,$nom_cliente,NumeroaMonto($montocancelado),NumeroaMonto($montocancelado),0,$idcomplejo,$footer_mail,$urlboleta);
             }else{
                notifica_arriendo_cancha_cliente_configurable($headers,$pie,$path,$idarriendo,$mail_cliente,$mail_salida,$logo_pagina,$nom_cliente,$complejo_dir,$complejo_telefono,$fecha_arriendo,$hora,$lugar,$nom_cliente,NumeroaMonto($montocancelado),NumeroaMonto($montocancelado),0,$idcomplejo,$footer_mail);
             }
              
             
            generaLogs("*******************FIN Envio de e-Mail******************************",$usuario_log,$ip_usuario_log,$pagina_origen_log);   

              
      
            generaLogs("*******************INICIO acknowledgeTransaction******************************",$usuario_log,$ip_usuario_log,$pagina_origen_log);   
            
            $db = new db_mysql();
            $db->connect();  
            
            /* INICIO ENVIO MANUAL acknowledgeTransaction */
            if ($webpay->getNormalTransaction()->acknowledgeTransaction($token)) {

                generaLogs("*******************[Envio OK AcknowledgeTransaction]***************************",$usuario_log,$ip_usuario_log,$pagina_origen_log);   
                
                //Actualizo el Estado del Pago de Arriendo de Cancha
                $res_estado_pago_arriendo = $db->query("INSERT into historia_pago_arriendo_webpay (hpw_idarriendo,hpw_estado,hpw_fechahoraestado) 
                                                                                           VALUES ($buyOrder,'Envio OK AcknowledgeTransaction',(NOW() + INTERVAL $diferencia_horaria_servidor HOUR))");
                if(!$res_estado_pago_arriendo)
                {
                 
                 generaLogs("[ResultadoPagoWebPay] Error al Estado Pago Arriendo: ".$db->error(),$usuario_log,$ip_usuario_log,$pagina_origen_log);
                }else{                                        
                    generaLogs("[ResultadoPagoWebPay] Actualiza Estado Pago Arriendo: OK",$usuario_log,$ip_usuario_log,$pagina_origen_log);
                }


            }else{
                 generaLogs("*******************[Envio NO OK AcknowledgeTransaction]***************************",$usuario_log,$ip_usuario_log,$pagina_origen_log);   
                 
                 //Actualizo el Estado del Pago de Arriendo de Cancha
                $res_estado_pago_arriendo = $db->query("INSERT into historia_pago_arriendo_webpay (hpw_idarriendo,hpw_estado,hpw_fechahoraestado) 
                                                                                            VALUES ($buyOrder,'Envio NO OK AcknowledgeTransaction',(NOW() + INTERVAL $diferencia_horaria_servidor HOUR))");
                if(!$res_estado_pago_arriendo)
                {
                 
                 generaLogs("[ResultadoPagoWebPay] Error al Estado Pago Arriendo: ".$db->error(),$usuario_log,$ip_usuario_log,$pagina_origen_log);
                }else{                                        
                    generaLogs("[ResultadoPagoWebPay] Actualiza Estado Pago Arriendo: OK",$usuario_log,$ip_usuario_log,$pagina_origen_log);
                }
                                           
            }
            
            generaLogs("*******************FIN acknowledgeTransaction******************************",$usuario_log,$ip_usuario_log,$pagina_origen_log);   
            /* FIN ENVIO MANUAL acknowledgeTransaction*/

            $db->close();  


        } else {

            generaLogs("*******************[Envio OK AcknowledgeTransaction]***************************",$usuario_log,$ip_usuario_log,$pagina_origen_log); 
            
            $db = new db_mysql();
            $db->connect();     

            /* INICIO ENVIO MANUAL acknowledgeTransaction */
            if ($webpay->getNormalTransaction()->acknowledgeTransaction($token)) {

                 generaLogs("*******************FIN acknowledgeTransaction******************************",$usuario_log,$ip_usuario_log,$pagina_origen_log);     
                 
                $msgenvioack = "Envio OK AcknowledgeTransaction";

            }else{
                 generaLogs("*******************[Envio NO OK AcknowledgeTransaction]***************************",$usuario_log,$ip_usuario_log,$pagina_origen_log);   
                
                $msgenvioack = "Envio NO OK AcknowledgeTransaction";
                                      
            }

             generaLogs("*******************FIN acknowledgeTransaction******************************",$usuario_log,$ip_usuario_log,$pagina_origen_log);   

           


            $message = "Pago RECHAZADO por webpay - " . utf8_decode($result->detailOutput->responseDescription);

            generaLogs("[responseCode] Exito Operacion : ". $_SESSION['exito_operacion'],$usuario_log,$ip_usuario_log,$pagina_origen_log);
            generaLogs("[RESPONSE]",$usuario_log,$ip_usuario_log,$pagina_origen_log);     
            generaLogs("(",$usuario_log,$ip_usuario_log,$pagina_origen_log);     
            generaLogs("[accountingDate] => ".$result->accountingDate,$usuario_log,$ip_usuario_log,$pagina_origen_log);     
            generaLogs("[buyOrder] => ".$result->buyOrder,$usuario_log,$ip_usuario_log,$pagina_origen_log);     
            generaLogs("[sessionId] => ".$result->sessionId,$usuario_log,$ip_usuario_log,$pagina_origen_log);     
            generaLogs("[cardDetail]",$usuario_log,$ip_usuario_log,$pagina_origen_log);     
            generaLogs("(",$usuario_log,$ip_usuario_log,$pagina_origen_log);     
            generaLogs("[cardNumber] => ". $result->cardDetail->cardNumber,$usuario_log,$ip_usuario_log,$pagina_origen_log);   
            generaLogs("[cardExpirationDate] => ".$result->cardDetail->cardExpirationDate,$usuario_log,$ip_usuario_log,$pagina_origen_log); 
            generaLogs(")",$usuario_log,$ip_usuario_log,$pagina_origen_log);   
            generaLogs("[detailOutput]",$usuario_log,$ip_usuario_log,$pagina_origen_log);     
            generaLogs("(",$usuario_log,$ip_usuario_log,$pagina_origen_log);     
            generaLogs("[authorizationCode] => ".$output->authorizationCode,$usuario_log,$ip_usuario_log,$pagina_origen_log);     
            generaLogs("[paymentType] => ".$output->paymentType,$usuario_log,$ip_usuario_log,$pagina_origen_log);     
            generaLogs("[responseCode] => ".$output->responseCode,$usuario_log,$ip_usuario_log,$pagina_origen_log);     
            generaLogs("[sharesNumber] => ".$output->sharesNumber,$usuario_log,$ip_usuario_log,$pagina_origen_log);     
            generaLogs("[amount] => ".$output->amount,$usuario_log,$ip_usuario_log,$pagina_origen_log);     
            generaLogs("[commerceCode] => ".$output->commerceCode,$usuario_log,$ip_usuario_log,$pagina_origen_log);     
            generaLogs("[buyOrder] => ".$output->buyOrder,$usuario_log,$ip_usuario_log,$pagina_origen_log);     
            generaLogs(")",$usuario_log,$ip_usuario_log,$pagina_origen_log);     
            generaLogs("[sessionId] => ".$result->sessionId,$usuario_log,$ip_usuario_log,$pagina_origen_log);     
            generaLogs("[transactionDate] => ".$result->transactionDate,$usuario_log,$ip_usuario_log,$pagina_origen_log);     
            generaLogs("[urlRedirection] => ".$result->urlRedirection,$usuario_log,$ip_usuario_log,$pagina_origen_log);     
            generaLogs("[VCI] => TSY",$usuario_log,$ip_usuario_log,$pagina_origen_log);   
            generaLogs(")",$usuario_log,$ip_usuario_log,$pagina_origen_log);     
            generaLogs("*******************FIN getTransactionResult******************************",$usuario_log,$ip_usuario_log,$pagina_origen_log);     


             //Actualizo el Estado del Pago de Arriendo de Cancha
            $res_estado_pago_arriendo = $db->query("INSERT into historia_pago_arriendo_webpay (hpw_idarriendo,hpw_estado,hpw_fechahoraestado) 
                                                                            VALUES ($result->buyOrder,'$msgenvioack',(NOW() + INTERVAL $diferencia_horaria_servidor HOUR))");
            if(!$res_estado_pago_arriendo)
            {
            
             generaLogs("[ResultadoPagoWebPay] Error al Estado Pago Arriendo: ".$db->error(),$usuario_log,$ip_usuario_log,$pagina_origen_log);
            }else{                                        
             generaLogs("[ResultadoPagoWebPay] Actualiza Estado Pago Arriendo: OK",$usuario_log,$ip_usuario_log,$pagina_origen_log);
            }

            $db->close();  
            
            $descrip_error = $result->detailOutput->responseDescription;
            $message = "Pago RECHAZADO por webpay - ".utf8_decode($result->detailOutput->responseDescription);
            generaLogs("ResultadoPagoWebPay] Pago RECHAZADO por webpay - ".utf8_decode($result->detailOutput->responseDescription),$usuario_log,$ip_usuario_log,$pagina_origen_log);     
            $next_page='rechazo.php';

             //Seteo Variables Retornadas
            $buyOrder = $result->detailOutput->buyOrder;
            $_SESSION['buyOrder'] = $buyOrder;

            $buyOrder_returntbk = $result->buyOrder;
            $montototal_returntbk = $result->detailOutput->amount;
            $token = $request["token"];

            $fechacontable = $result->accountingDate;
            $nroorden = $output->buyOrder;
            $sesionid = $result->sessionId;

            //$fecautorizacion = $result->transactionDate;
            $fechaHoraTransaccion = date_create($result->transactionDate);
            $fecautorizacion = date_format($fechaHoraTransaccion,"d/m/Y H:i:s");
            //$fecautorizacion = date('d/m/Y H:i:s');

            $codautorizacion = $output->authorizationCode;
            $codtipopago = $result->detailOutput->paymentTypeCode;
            $montototal = $output->amount;
            $nrocuotas = $output->sharesNumber;
            $valorcuota = $output->shareAmount;
            $nrotarjeta = $result->cardDetail->cardNumber;
            $codigocomercio = $output->commerceCode;

            if(empty($valorcuota)){
                $valorcuota = 0;
            }

            //Seteo Variables Retornadas
            $idarriendo = $result->detailOutput->buyOrder;
            $_SESSION['idarriendo'] = $idarriendo;
            
            
            
            generaLogs("*******************INICIO Registro Pago Rechazado Arriendo BD******************************",$usuario_log,$ip_usuario_log,$pagina_origen_log);  
            
            $db = new db_mysql();
            $db->connect();  
 
            /*
            
            generaLogs("[ResultadoPagoWebPay] Anulacion Arriendo - Inicio",$usuario_log,$ip_usuario_log,$pagina_origen_log);  
            generaLogs("[buyOrder] => ".$result->detailOutput->buyOrder,$usuario_log,$ip_usuario_log,$pagina_origen_log);  

       

            
            
            $res_trans = $db->query("INSERT into arriendos_liberados (ara_idarriendo,ara_fecha,ara_cancha,ara_complejo,ara_runusuario,ara_estadoarriendo,ara_fechaestadoarriendo,ara_usucreacion,ara_fechacreacion,ara_usuabono,ara_fechaabono,ara_usuconfres,ara_fechaconfreser,ara_costoarriendo,ara_tipodescuento,ara_totaldescuento,ara_usuautodescuento,ara_totalarriendo,ara_montocanceladoabono,ara_montocanceladoconfres,ara_montocanceladoarr,ara_montocancelado,ara_tipopagoabono,ara_tipopagoconfres,ara_tipopagoarrien,ara_idconvenio,ara_nroboletaarr,ara_nroboletaabono,ara_nroboletaconfres,ara_nrofactura,ara_fecharegfactura,ara_usuregfactura,ara_fechapagofactura,ara_usu_pagofactura,ara_hora,ara_minuto,ara_hora_fin,ara_minuto_fin,ara_iddetallebloqueconfiguracion) 
	                                               SELECT arr_idarriendo,arr_fecha,arr_cancha,arr_complejo,arr_runusuario,arr_estadoarriendo,arr_fechaestadoarriendo,arr_usucreacion,arr_fechacreacion,arr_usuabono,arr_fechaabono,arr_usuconfres,arr_fechaconfreser,arr_costoarriendo,arr_tipodescuento,arr_totaldescuento,arr_usuautodescuento,arr_totalarriendo,arr_montocanceladoabono,arr_montocanceladoconfres,arr_montocanceladoarr,arr_montocancelado,arr_tipopagoabono,arr_tipopagoconfres,arr_tipopagoarrien,arr_idconvenio,arr_nroboletaarr,arr_nroboletaabono,arr_nroboletaconfres,arr_nrofactura,arr_fecharegfactura,arr_usuregfactura,arr_fechapagofactura,arr_usu_pagofactura,arr_hora,arr_minuto,arr_hora_fin,arr_minuto_fin,arr_iddetallebloqueconfiguracion from arriendo WHERE arr_idarriendo = $idarriendo;");
      
            if(!$res_trans)
            {
            //generaLogs("INSERT into arriendos_liberados (ara_idarriendo,ara_fecha,ara_cancha,ara_complejo,ara_runusuario,ara_estadoarriendo,ara_fechaestadoarriendo,ara_usucreacion,ara_fechacreacion,ara_usuabono,ara_fechaabono,ara_usuconfres,ara_fechaconfreser,ara_costoarriendo,ara_tipodescuento,ara_totaldescuento,ara_usuautodescuento,ara_totalarriendo,ara_montocanceladoabono,ara_montocanceladoconfres,ara_montocanceladoarr,ara_montocancelado,ara_tipopagoabono,ara_tipopagoconfres,ara_tipopagoarrien,ara_idconvenio,ara_nroboletaarr,ara_nroboletaabono,ara_nroboletaconfres,ara_nrofactura,ara_fecharegfactura,ara_usuregfactura,ara_fechapagofactura,ara_usu_pagofactura,ara_hora,ara_minuto,ara_hora_fin,ara_minuto_fin,ara_iddetallebloqueconfiguracion) 
            	                                               //SELECT arr_idarriendo,arr_fecha,arr_cancha,arr_complejo,arr_runusuario,arr_estadoarriendo,arr_fechaestadoarriendo,arr_usucreacion,arr_fechacreacion,arr_usuabono,arr_fechaabono,arr_usuconfres,arr_fechaconfreser,arr_costoarriendo,arr_tipodescuento,arr_totaldescuento,arr_usuautodescuento,arr_totalarriendo,arr_montocanceladoabono,arr_montocanceladoconfres,arr_montocanceladoarr,arr_montocancelado,arr_tipopagoabono,arr_tipopagoconfres,arr_tipopagoarrien,arr_idconvenio,arr_nroboletaarr,arr_nroboletaabono,arr_nroboletaconfres,arr_nrofactura,arr_fecharegfactura,arr_usuregfactura,arr_fechapagofactura,arr_usu_pagofactura,arr_hora,arr_minuto,arr_hora_fin,arr_minuto_fin,arr_iddetallebloqueconfiguracion from arriendo WHERE arr_idarriendo = $idarriendo;",$usu_id,$ip_usuario_log,$pagina_origen_log);    
            generaLogs("Error al Insertar Arriendo Liberado: ".mysqli_error(),$usu_id,$ip_usuario_log,$pagina_origen_log);
            }
            
            //Actualizo Datos Arriendos Liberados
            $now = date ("Y-m-d H:i:s");
            $res_trans2 = $db->query("UPDATE arriendos_liberados set ara_fecanulacion = (NOW() + INTERVAL $diferencia_horaria_servidor HOUR), ara_origen = 2 WHERE ara_idarriendo = $idarriendo");
            
            if(!$res_trans2)
            {
                
            generaLogs("UPDATE arriendos_liberados set ara_fecanulacion = (NOW() + INTERVAL $diferencia_horaria_servidor HOUR), ara_origen = 2 WHERE ara_idarriendo = $idarriendo",$usuario_log,$ip_usuario_log,$pagina_origen_log);
            generaLogs("Error al Actualizar Anulacion: ".mysqli_error(),$usuario_log,$ip_usuario_log,$pagina_origen_log);
            }

            
            //Actualico el Estado del Arriendo de Cancha
            $res_arriendo_del = $db->query("DELETE from arriendo WHERE arr_idarriendo = $idarriendo;");
            if(!$res_arriendo_del)
            {
             
             generaLogs("[ResultadoPagoWebPay] Error al Eliminar Arriendo: ".$db->error(),$usuario_log,$ip_usuario_log,$pagina_origen_log);  
             return false;
             exit();
            }
            
            */

            //Inserto el Error
            $res_error_trs = $db->query("INSERT into error_pago_transbank
                                        (ert_idarriendo,ert_respuestaws) 
                                        VALUES
                                        ($idarriendo,'$descrip_error')");
            if(!$res_error_trs)
            {
             
             generaLogs("[ResultadoPagoWebPay] Error al Insertar Error en Pago Arriendo: ".$db->error(),$usuario_log,$ip_usuario_log,$pagina_origen_log);  
             return false;
             exit();
            }else{
             generaLogs("[ResultadoPagoWebPay] Insert error_pago_transbank Arriendo - OK",$usuario_log,$ip_usuario_log,$pagina_origen_log);  
             
            }

            generaLogs("*******************FIN Registro Pago Rechazado  Arriendo BD******************************",$usuario_log,$ip_usuario_log,$pagina_origen_log);  

            
            
            
            //Actualizo el Estado del Pago de Arriendo de Cancha
            $res_estado_pago_arriendo = $db->query("INSERT into historia_pago_arriendo_webpay (hpw_idarriendo,hpw_estado,hpw_fechahoraestado) 
                                                                                        VALUES ($result->buyOrder,'Pago Rechazado por Webpay',(NOW() + INTERVAL $diferencia_horaria_servidor HOUR))");
            if(!$res_estado_pago_arriendo)
            {
             //generaLogs("[ResultadoPagoWebPay] INSERT into historia_pago_arriendo_webpay (hpw_idarriendo,hpw_estado,hpw_fechahoraestado) VALUES ($result->buyOrder,'Pago Rechazado por Webpay',(NOW() + INTERVAL $diferencia_horaria_servidor HOUR))",$usuario_log,$ip_usuario_log,$pagina_origen_log);
             generaLogs("[ResultadoPagoWebPay] Error al Estado Pago Arriendo: ".$db->error(),$usuario_log,$ip_usuario_log,$pagina_origen_log);
            }else{                                        
                generaLogs("[ResultadoPagoWebPay] Actualiza Estado Pago Arriendo: OK",$usuario_log,$ip_usuario_log,$pagina_origen_log);
            }


            $db->close();  

             
        }

        generaLogs("*******************FIN getTransactionResult******************************",$usuario_log,$ip_usuario_log,$pagina_origen_log);
        

        break;

    case "end":

        generaLogs("*******************INICIO endTransaction******************************",$usuario_log,$ip_usuario_log,$pagina_origen_log);

        $post_array = true;

        $request = "";
        $result = $_POST;

        $buyOrder = $_SESSION['buyOrder'];
        
        $message = "Transacion Finalizada";
        
        generaLogs("[FinPagoWebPay] message : ".$message,$usuario_log,$ip_usuario_log,$pagina_origen_log);
        generaLogs("[FinPagoWebPay] $_POST TBK_Token : ".$_POST["token_ws"],$usuario_log,$ip_usuario_log,$pagina_origen_log);
        generaLogs("[FinPagoWebPay] $_SESSION sessionid : ".$_SESSION['sessionid'],$usuario_log,$ip_usuario_log,$pagina_origen_log);
        generaLogs("[FinPagoWebPay] buyOrder : ".$buyOrder,$usuario_log,$ip_usuario_log,$pagina_origen_log);
        

        generaLogs("[FinPagoWebPay] $_SESSION Exito Operacion : ". $_SESSION['exito_operacion'],$usuario_log,$ip_usuario_log,$pagina_origen_log);
        
        if($_SESSION['exito_operacion']==1){
            $next_page='rechazo.php';
            break;
        }

        try {
            $request= '';
            if (isset($_POST["token_ws"])){
             $result = $webpay->getNormalTransaction()->getTransactionResult($_POST["token_ws"]);
            }
            $next_page='exito.php';
            
             
            
        } catch (Exception $e) {
            generaLogs("[FinPagoWebPay] Pago ANULADO por el cliente!",$usuario_log,$ip_usuario_log,$pagina_origen_log);
            $next_page='rechazo.php';

             /*ActualiZo el Estado del PAGO*/
             /*ActualiZo el Estado del PAGO*/

        }


        generaLogs("*******************FIN endTransaction******************************",$usuario_log,$ip_usuario_log,$pagina_origen_log);
        

        break;


    
}

if (!isset($request) || !isset($result) || !isset($message) || !isset($next_page)) {

    $result = "Ocurri&oacute; un error al procesar tu solicitud";
    echo "<div style = 'background-color:lightgrey;'><h3>result</h3>$result;</div><br/><br/>";
    echo "<a href='.'>&laquo; volver a index</a>";
    die;
}

/* Respuesta de Salida - Vista WEB */
?>

<?generaLogs("************************************************[FIN OPERACION WEBPAY]************************************************",$usuario_log,$ip_usuario_log,$pagina_origen_log);
?>


<form id="frmPago" action="<?php echo $next_page; ?>" method="post">
    <input type="hidden" name="token_ws" value="<?php echo ($token); ?>">
    <input type="hidden" name="idarriendo" value="<?php echo $buyOrder; ?>">
</form>

<script src="../../js/jquery.js"></script>

<script>

$(document).ready(function() {
    document.getElementById('frmPago').submit();
});

</script>

</body>