<?include $_SERVER['DOCUMENT_ROOT'].'/inc/paginas/seguridad_pagpublica.php';?>

<link rel="apple-touch-icon" sizes="180x180" href="images/favicon/apple-touch-icon.png">
<link rel="icon" type="image/png" sizes="32x32" href="images/favicon/favicon-32x32.png">
<link rel="icon" type="image/png" sizes="16x16" href="images/favicon/favicon-16x16.png">
<link rel="manifest" href="images/favicon/site.webmanifest">
<link rel="mask-icon" href="images/favicon/safari-pinned-tab.svg" color="#5bbad5">

<?php
include $_SERVER['DOCUMENT_ROOT'].'/inc/cfg/config.php';
include $_SERVER['DOCUMENT_ROOT'].'/inc/clases/conexion.class.php';
include $_SERVER['DOCUMENT_ROOT'].'/inc/script_bd/script_db.php';
?>

<?
$res_club = recupera_clubes();
$_SESSION['idcomplejo'] = 0;
$_SESSION['fecha_sel'] = 0;
$_SESSION['hora'] = 0;
$_SESSION['cancha'] = 0;
$_SESSION['sel_arbitro'] = "N";
$_SESSION['precio_arbitro'] = 0;
$_SESSION['sel_petos'] = "N";
$_SESSION['precio_petos'] = 0;
$_SESSION['sel_balon'] = "N";
$_SESSION['precio_balon'] = 0;
$_SESSION['precio_cancha'] = 0;
$_SESSION['total'] = 0;
$_SESSION['idarriendo'] = 0;
$_SESSION['total_descuento'] = 0;
$_SESSION['exito_operacion'] = 1;
?>


<!DOCTYPE html>
<html lang="es">
<head>
  
  <meta charset="UTF-8">
  <title><?echo $nombre_pagina;?></title>
  <meta name="viewport" content="width=device-width">
  <link rel="stylesheet" type="text/css" href="css/bootstrap.min.css">
  <!--<link rel="stylesheet" type="text/css" href="css/datepicker.css">-->
  
  
  <!-- originales -->
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
  <script src="http://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/js/bootstrap.min.js"></script>
  <script src="js/bootstrap.min.js"></script>
  
  
  
<!-- pruebas -->
<!--
<script src="//cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>  
<link href="//maxcdn.bootstrapcdn.com/bootstrap/3.3.1/css/bootstrap.min.css" rel="stylesheet">
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.1/js/bootstrap.min.js"></script>
-->
  <!--<script src="js/bootstrap-datepicker.min.js"></script>
  <script src="js/bootstrap-datepicker.es.min.js"></script>-->


  <link rel="stylesheet" href="https://code.jquery.com/ui/1.12.0/themes/base/jquery-ui.css">
  <link rel="stylesheet" href="http://jqueryui.com/resources/demos/style.css">
  <link rel="stylesheet" type="text/css" href="css/style.css">
  
  <script src="https://code.jquery.com/ui/1.12.0/jquery-ui.js"></script>

  <!--Rut-->
  <script src="js/jquery.Rut.js" type="text/javascript"></script>
  <!--Rut-->
  <script src="js/validaciones.js"></script>

  <link rel="stylesheet" type="text/css" href="css/custom.css">


<script>
$(document).ready(function() {
    
    //Modal con promociones , que se muestra al cargar la pagina
    //$('#ModalPromo').modal('show');

    $.ajax({
          cache: false,
          type: 'POST',
          //url: 'inc/ajax_fx/edit_nomina_partido_futbol.php',
          url: 'info_user.php',

          success: function(data) 
          {
            $('.login').show().html(data);
          }
    });  

    $('.popup-inscripcion').on('click', function() {
        window.location.href = "http://ligasuperior.cl/images/documentos/Liga Superior 2018-226.pdf";
    });

    $('.verdisponibilidad').on('click', function() {
         var iddeporte = $('#selectDeporte').val();
         if(iddeporte==0){
          alert("Seleccion un Deporte, para ver su disponibilidad!");
         }else{
          $("#iddeporte").val(iddeporte);
          $("#frmclubes").submit();
         }
         
    });

    $('.btnverdisponibilidad').on('click', function() {
         var idclub = $(this).attr("data-id");
         //alert(idclub)
         if(idclub==0){
          alert("Seleccion un Club, para ver su disponibilidad!");
         }else{
          $("#idclub").val(idclub);
          $("#frmclubes").submit();
         }
         
    });

    $("#frmsesion").submit(function( event ){

          event.preventDefault();
    
          $("#div_ok").hide();
          $("#div_nok").hide();

          var user_id = $('#run_cliente_login').val();
          var password = $('#password').val();
          
          var run_sin_formato = $.Rut.quitarFormato($('#run_cliente_login').val()); 
          //alert(run_sin_formato);
          var run_sin_digito = run_sin_formato.substring(0,run_sin_formato.length - 1);
          //alert(run_sin_digito);

          $.ajax({
              cache: false,
              type: 'POST',
              url: 'inc/ajax/valida_login.php',
              data: 
                   { 
                      user_id: run_sin_digito,
                      password: password
                   } ,
              
              async:false,
              success: function(data) 
              {
                  if(data==0){
                      //alert('true');
                      $("#div_ok").show();
                      $('#ModalIniciaSesion').modal('hide');
                      $("#resul_login").text("");

                      var pivote = 1;

                     $.ajax({
                          cache: false,
                          type: 'POST',
                          //url: 'inc/ajax_fx/edit_nomina_partido_futbol.php',
                          url: 'info_user.php',

                          data: 
                           { 
                              pivote: pivote
                           } ,

                          
                          success: function(data) 
                          {
                            $('.login').show().html(data);
                          }
                      });  
                      
                      
                  }else{
                      //alert(data);

                      if(data==1){

                        $("#resul_login").text("Usuario y/o Password Erroneo.");
                        //alert("asd");
                      }

                      if(data==2){
                        $("#resul_login").text("Cuenta no ha sido Activada, Por favor revise su e-Mail.");
                      }

                      if(data==3){
                        $("#resul_login").text("Cliente Deshabilitado para realizar Arriendos");
                      }

                      if(data==4){
                        $("#resul_login").text("Cliente no Registrado, Por favor realice el registro para ingresar al sistema");
                      }

                      $("#div_nok").show();
                  }
                  
              },
              error:function() {
                alert("Ha ocurrido un error, intente nuevamente!");
                
              }
          });
          
    });

      $( "#run_cliente" ).blur(function() {

             $(this).Rut({format_on: 'keyup'});

             var run_ingresado = $(this).val();

              $('#run_cliente').removeClass('inputfailed');
              $('#run_cliente2').removeClass('texterrorlabel');
              $('#run_cliente2').text("");

             if(run_ingresado != "" && run_ingresado != 0){

                //alert("Texto ingresado");
                var valido = $.Rut.validar($(this).val());

                var run_sin_formato = $.Rut.quitarFormato($(this).val()); 
                //alert(run_sin_digito);
                var run_sin_digito = run_sin_formato.substring(0,run_sin_formato.length - 1);
                //alert(run_sin_digito);

                if(valido==true){

                  $.ajax({
                        type: "POST",
                        url: "inc/ajax/validar_run_cliente_nuevo.php",
                        data: "run_cliente="+run_sin_digito,
                        async: false,
                        cache: false,
                        
                        success: function(respuesta){
                          //alert(respuesta);
                          if(!(respuesta == 0)){

                            //alert("NO ES 0");
                            //$('#run_jugador').addClass('inputfailed');
                            $('#run_cliente').val('');
                            $('#run_cliente2').addClass('texterrorlabel');
                            $('#run_cliente2').text("RUN " + run_ingresado + " Ya Existe!");

                          }

                        },
                        error:function() {

                            swal({

                                title: "Error!",
                                text: "Error al verificar RUN, intente nuevamente!",
                                type: "error",
                                showCancelButton: false,
                                confirmButtonClass: 'btn-danger',
                                confirmButtonText: 'Ok!'

                              });
                       }
                  });

                }else{
                  $('#run_cliente').val('');
                  $('#run_cliente').addClass('inputfailed');
                  $('#run_cliente2').addClass('texterrorlabel');
                  $('#run_cliente2').text("RUN " + run_ingresado + " NO es valido!");
                }
                
                //var run_format = $.Rut.formatear($(this).val()); 
                
             }//else{
              //alert("No tiene nada");
             //}
     });
     
     
     
     $( "#run_cliente_login" ).blur(function() {

             $(this).Rut({format_on: 'keyup'});

             var run_ingresado = $(this).val();

              $('#run_cliente_login').removeClass('inputfailed');
              $('#run_cliente_login2').removeClass('texterrorlabel');
              $('#run_cliente_login2').text("");

             if(run_ingresado != "" && run_ingresado != 0){

                //alert("Texto ingresado");
                var valido = $.Rut.validar($(this).val());

                var run_sin_formato = $.Rut.quitarFormato($(this).val()); 
                //alert(run_sin_digito);
                var run_sin_digito = run_sin_formato.substring(0,run_sin_formato.length - 1);
                //alert(run_sin_digito);

                if(!valido==true){

                  $('#run_cliente_login').val('');
                  $('#run_cliente_login').addClass('inputfailed');
                  $('#run_cliente_login2').addClass('texterrorlabel');
                  $('#run_cliente_login2').text("RUN " + run_ingresado + " NO es valido!");

                }
                
                //var run_format = $.Rut.formatear($(this).val()); 
                
             }//else{
              //alert("No tiene nada");
             //}
     });

    $('#run_cliente').Rut({format_on: 'keyup'});
    $('#run_cliente_edit').Rut({format_on: 'keyup'});
    
    $('#run_cliente_login').Rut({format_on: 'keyup'});



  $( "#email_cliente" ).blur(function() {

             //$(this).Rut({format_on: 'keyup'});

              var mail_ingresado = $(this).val();
              mail_ingresado = mail_ingresado.trim();

              $('#email_cliente').removeClass('inputfailed');
              $('#email_cliente2').removeClass('texterrorlabel');
              $('#email_cliente2').text("");

             if(mail_ingresado != "" && mail_ingresado != 0){

                //alert("Texto ingresado");
                
                //alert(run_sin_digito);
                var valido = isValidMail(mail_ingresado);

                if(valido==0){

                  $.ajax({
                        type: "POST",
                        url: "inc/ajax/validar_email_cliente_nuevo.php",
                        data: {mail_ingresado:mail_ingresado},
                        async: false,
                        cache: false,
                        
                        success: function(respuesta){
                          //alert(respuesta);
                          if(!(respuesta == 0)){

                            //alert("NO ES 0");
                            //$('#run_jugador').addClass('inputfailed');
                            $('#email_cliente').val('');
                            $('#email_cliente2').addClass('texterrorlabel');
                            $('#email_cliente2').text("e-Mail " + mail_ingresado + " Ya Existe!");

                          }

                        },
                        error:function() {

                            alert("Error al verificar e-Mail");
                       }
                  });

                }else{
                  $('#email_cliente').val('');
                  $('#email_cliente').addClass('inputfailed');
                  $('#email_cliente2').addClass('texterrorlabel');
                  $('#email_cliente2').text("e-Mail " + mail_ingresado + " NO es valido!");
                }
                
             }
});




$( ".btn_crea_cliente" ).click(function(event) {

                event.preventDefault();
                
                $('#nombre_cliente').removeClass('inputfailed');
                $('#nombre_cliente2').removeClass('texterrorlabel');
                $('#nombre_cliente2').text("");
                $('#apellidop_cliente').removeClass('inputfailed');
                $('#apellidop_cliente2').removeClass('texterrorlabel');
                $('#apellidop_cliente2').text("");
                $('#apellidom_cliente').removeClass('inputfailed');
                $('#apellidom_cliente2').removeClass('texterrorlabel');
                $('#apellidom_cliente2').text("");
                $('#run_cliente').removeClass('inputfailed');
                $('#run_cliente2').removeClass('texterrorlabel');
                $('#run_cliente2').text("");
                $('#email_cliente').removeClass('inputfailed');
                $('#email_cliente2').removeClass('texterrorlabel');
                $('#email_cliente2').text("");
                $('#telefono1_cliente').removeClass('inputfailed');
                $('#telefono1_cliente2').removeClass('texterrorlabel');
                $('#telefono1_cliente2').text("");
                
                $('#pass_1').removeClass('inputfailed');
                $('#pass_1_2').removeClass('texterrorlabel');
                $('#pass_1_2').text("");

                $('#pass_2').removeClass('inputfailed');
                $('#pass_2_2').removeClass('texterrorlabel');
                $('#pass_2_2').text("");


                var nombre_cliente = $('#nombre_cliente').val();
                var apellidop_cliente = $('#apellidop_cliente').val();
                var apellidom_cliente = $('#apellidom_cliente').val();
                var run_cliente = $('#run_cliente').val();
                var email_cliente = $('#email_cliente').val();
                var telefono1_cliente = $('#telefono1_cliente').val();
                
                var pass1 = $('#pass_1').val();
                var pass2 = $('#pass_2').val();

                var isNullRuncliente= isNullText(run_cliente);
                var isNullNombrecliente = isTamanoText(nombre_cliente,3,20);
                var isNullApellidopcliente = isTamanoText(apellidop_cliente,3,20);
                var isNullApellidomcliente = isNullText(apellidom_cliente);
                var isNulleMail = isNullText(email_cliente);
                var isNullTelefono1 = isNullText(telefono1_cliente);
                
                var isNullPass1 = isTamanoText(pass1,6,20);
                var isNullPass2 = isNullText(pass2);

                var validacion = 0;

                if(isNullRuncliente == 1){
                  $('#run_cliente').addClass('inputfailed');
                  $('#run_cliente2').addClass('texterrorlabel');
                  $('#run_cliente2').text("Ingrese Run de Cliente");
                  validacion = 1;
                }
                
                if(isNullNombrecliente == 1){
                  $('#nombre_cliente').addClass('inputfailed');
                  $('#nombre_cliente2').addClass('texterrorlabel');
                  $('#nombre_cliente2').text("Nombre de cliente debe ser minimo de 3 y maximo 20 caracteres!");
                  validacion = 1;
                }

                if(isNullApellidopcliente == 1){
                  $('#apellidop_cliente').addClass('inputfailed');
                  $('#apellidop_cliente2').addClass('texterrorlabel');
                  $('#apellidop_cliente2').text("Apellido Paterno cliente debe ser minimo de 3 y maximo 20 caracteres!");
                  validacion = 1;
                }

                if(isNullApellidomcliente == 0){

                   var isNull2Apellidomcliente = isTamanoText(apellidom_cliente,3,20);

                  if(isNull2Apellidomcliente == 1){
                    $('#apellidom_cliente').addClass('inputfailed');
                    $('#apellidom_cliente2').addClass('texterrorlabel');
                    $('#apellidom_cliente2').text("Apellido Materno cliente debe ser minimo de 3 y maximo 20 caracteres!");
                    validacion = 1;
                  }

                }

                if(isNulleMail == 1){
                    $('#email_cliente').addClass('inputfailed');
                    $('#email_cliente2').addClass('texterrorlabel');
                    $('#email_cliente2').text("e-Mail es Obligatorio!");
                    validacion = 1;
                }else{
                  var isValidoMail = isValidMail(email_cliente);

                  if(isValidoMail == 1){
                    $('#email_cliente').addClass('inputfailed');
                    $('#email_cliente2').addClass('texterrorlabel');
                    $('#email_cliente2').text("e-Mail del cliente no valido!");
                    validacion = 1;
                  }
                }
                
                
                var LargoTelefono1 = isTamanoText(telefono1_cliente,9,20);
                
                if(LargoTelefono1 == 1){
                    $('#telefono1_cliente').addClass('inputfailed');
                    $('#telefono1_cliente2').addClass('texterrorlabel');
                    $('#telefono1_cliente2').text("El telefono del cliente debe ser minimo de 9 y maximo 20 caracteres!");
                    validacion = 1;
                }

                 if(isNullPass1 == 1){
                  $('#pass_1').addClass('inputfailed');
                  $('#pass_1_2').addClass('texterrorlabel');
                  $('#pass_1_2').text("Password debe ser minimo de 6 y maximo 20 caracteres!");
                  validacion = 1;
                }

                if(isNullPass2 == 1){
                  $('#pass_2').addClass('inputfailed');
                  $('#pass_2_2').addClass('texterrorlabel');
                  $('#pass_2_2').text("Repita su Password!");
                  validacion = 1;
                }

                if(pass1 != pass2){
                  $('#pass_2').addClass('inputfailed');
                  $('#pass_2_2').addClass('texterrorlabel');
                  $('#pass_2_2').text("Passwords no coinciden!");
                  validacion = 1;
                }

                if(validacion == 0){

                    $('#label_nuevo').text("");

                    var url = "inc/ajax/crea_cliente.php"; // El script a dónde se realizará la petición.
                    var run_sin_formato = 0;
                    var run_bd = 0;

                    if ($('#run_cliente').val() != ''){
                      var run_sin_formato = $.Rut.quitarFormato($('#run_cliente').val()); 
                      var run_bd = run_sin_formato.substring(0,run_sin_formato.length - 1);
                    }
                    
                    var parametros = { 
                                  'nombre_cliente':nombre_cliente,
                                  'apellidop_cliente':apellidop_cliente,
                                  'apellidom_cliente':apellidom_cliente,
                                  'run_cliente':run_bd,
                                  'email_cliente':email_cliente,
                                  'telefono1_cliente':telefono1_cliente,
                                  'password': pass1
                    };
                    
                    $.ajax({

                           type: "POST",
                           url: url,
                           data: parametros,      
                           cache: false,
                           
                           success: function(data)
                           {

                                if(data==0){

                                  $('#div_registro_ok').show();
                                  $('#frmnuevocliente').hide();
                                  $('#btn_crea_cliente').hide();
                                  
                                   $('#run_cliente').val('');
                                   $('#nombre_cliente').val('');
                                   $('#apellidop_cliente').val('');
                                   $('#apellidom_cliente').val('');
                                   $('#email_cliente').val('');
                                   $('#telefono1_cliente').val('');
                                   $('#pass1').val('');
                                   $('#pass2').val('');
                                }

                                if(data==1){

                                  alert("Ha ocurrido un error, cliente no pudo ser agregado!")

                                }
                                

                           },
                           error:function() {
                              
                                alert("Ha ocurrido un error, cliente no pudo ser agregado!")
                           }

                    });

                   
                }

});

});
</script>



<script>
$(document).on('keyup keypress', 'form input[type="text"]', function(e) {
  if(e.which == 13) {
    e.preventDefault();
    return false;
  }
});
</script>


</head>

<form name="frmclubes" id="frmclubes" method="POST" action="arriendo.php">
  <input type="hidden" id="iddeporte" name="iddeporte" value="">
</form>




<style>
    /*search box css start here*/
.search-sec{
    padding: 2rem;
}
.search-slt{
    display: block;
    width: 100%;
    font-size: 0.875rem;
    line-height: 1.5;
    color: #55595c;
    background-color: #fff;
    background-image: none;
    border: 1px solid #ccc;
    height: calc(3rem + 2px) !important;
    border-radius:0;
}
.wrn-btn{
    width: 100%;
    font-size: 16px;
    font-weight: 400;
    text-transform: capitalize;
    height: calc(3rem + 2px) !important;
    border-radius:0;
}
@media (min-width: 992px){
    .search-sec{
        position: relative;
        top: -114px;
        background: rgba(26, 70, 104, 0.51);
    }
}

@media (max-width: 992px){
    .search-sec{
        background: #1A4668;
    }
}
</style>



<body>

  <header style="/*background: url(images/header-bec.svg) center no-repeat;*/
      background: url(images/Back-white.jpg) center no-repeat;
    background-size: cover;box-shadow: rgba(0, 0, 0, 0.25) 0px 4px 16px 0px;border-bottom: 5px solid #344371;">
    <div class="container login">
      
    </div>
  </header>

<!--
  <section>
    <div id="carouselExampleFade" class="carousel slide carousel-fade" data-ride="carousel">
        <div class="carousel-inner" style="max-height: 600px!important;">
            <div class="carousel-item active">
                <img src="images/slider/sl1.jpg" class="d-block w-100" alt="...">
            </div>
            <div class="carousel-item">
                <img src="images/slider/sl2.jpg" class="d-block w-100" alt="...">
            </div>
            <div class="carousel-item">
                <img src="images/slider/sl3.jpg" class="d-block w-100" alt="...">
            </div>
            
        </div>
        <a class="carousel-control-prev" href="#carouselExampleFade" role="button" data-slide="prev">
            <span class="carousel-control-prev-icon" aria-hidden="true"></span>
            <span class="sr-only">Previous</span>
        </a>
        <a class="carousel-control-next" href="#carouselExampleFade" role="button" data-slide="next">
            <span class="carousel-control-next-icon" aria-hidden="true"></span>
            <span class="sr-only">Next</span>
        </a>
    </div>
</section>



<section class="search-sec">
    <div class="container">
        <form action="#" method="post" novalidate="novalidate">
            <div class="row">
                <div class="col-lg-12">
                    <div class="row">
                        <div class="col-lg-3 col-md-3 col-sm-12 p-0">
                            <input type="text" class="form-control search-slt" placeholder="Enter Pickup City">
                        </div>
                        <div class="col-lg-3 col-md-3 col-sm-12 p-0">
                            <input type="text" class="form-control search-slt" placeholder="Enter Drop City">
                        </div>
                        <div class="col-lg-3 col-md-3 col-sm-12 p-0">
                            <select class="form-control search-slt" id="exampleFormControlSelect1">
                                <option>Select Vehicle</option>
                                <option>Example one</option>
                                <option>Example one</option>
                                <option>Example one</option>
                                <option>Example one</option>
                                <option>Example one</option>
                                <option>Example one</option>
                            </select>
                        </div>
                        <div class="col-lg-3 col-md-3 col-sm-12 p-0">
                            <button type="button" class="btn btn-danger wrn-btn">Search</button>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </div>
</section>
-->



  <div class="container fluid af" style="padding-right: 0px;
    padding-left: 0px;">
    <div class="row slider_home">
      <img src="images/IMG_20190311_213556.jpg">
      <h2> SELECCIONA TU ACTIVIDAD FAVORITA</h2>
      <div class="filtro">
        
        <select name="selectDeporte" class="flecha" id="selectDeporte">
          <option value="FUTBO"selected>Futbol</option>
          <option value="PADEL">Padel</option>
          <option value="QUINC">Quincho</option>
        </select>

        <button class="btn verdisponibilidad">Ver Disponibilidad</button>

      </div>


    </div>

  </div>
  
<!--
  <footer>
                <div class="footer_left col-xs-12 col-md-6">
                    <ul>
                        <li>© 2012. Acción Total. Todos los derechos reservados.</li>
                        <li><span class="glyphicon glyphicon-map-marker"></span>Libia 75, Las Condes - Chile</li>
                        <li>Servicio al cliente  <span class="glyphicon glyphicon-earphone"></span>(02) 2573-8531</li> 
                        <li>Desarrollado por <a href="http://Sportbyte.cl" target="_blank">Sport Byte</a></li>
                        <li class="tos"><a href="pdf/TOS.pdf" target="_blank">Términos y Condiciones</a> | <a href="pdf/FAQ.pdf" target="_blank">FAQ</a></li>
                    </ul>
                </div>
                <div class="footer_right col-xs-12 col-md-6" >
                    <img src="img/webpay2.png" alt="Webpay Logos" width="195" height="70">
                </div>
    </footer>
-->
<?
include $_SERVER['DOCUMENT_ROOT'].'/inc/estructura/footer.php';
?>

</body>
</html>


<div class="modal fade" id="ModalIniciaSesion" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" style="z-index:9999999999998 !important" data-keyboard="false" data-backdrop="false" >
    <div class="modal-dialog modal-lg">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal" aria-hidden="true" id="close_modal">×</button>
           <h4><i class="glyphicon glyphicon-plus"></i> Iniciar Sesi&oacute;n</h4>
        </div>
        <div class="modal-body">
          <form class="form-horizontal" id="frmsesion" method="post" role="form">

            <div class="alert alert-danger alert-dismissible" role="alert" style="display:none" id="div_nok">
              <label id="resul_login"></label>
            </div>
          
          
            <div class="alert alert-success alert-dismissible" role="alert" style="display:none" id="div_ok">
              <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
              <strong>Exito!</strong> Login realizado correctamente.
            </div>

            <div class="form-group">
                <div class="col-sm-12">
                    <label for="password" class="col-sm-2 control-label">RUN</label>
                    <div class="col-sm-10">
                        <input type="text" name="text" id="run_cliente_login" autocomplete="off" class="form-control" placeholder="RUN: Ej: (12345678-1)" required="true" maxlength="12">
                    </div>
                    <label class="control-label col-sm-12" for="run_cliente_login2" style="text-align:left;" id="run_cliente_login2"></label>
                </div>
            </div>
      
            <div class="form-group">
              <div class="col-sm-12">
               <label for="password" class="col-sm-2 control-label">Password</label>
              <div class="col-sm-10">
                <input type="password" class="form-control" id="password" placeholder="Password" required="" autofocus="" maxlength="40">
              </div>
            </div>
            </div>

        <div class="form-group">
          <div class="col-sm-offset-2 col-sm-10">
            <a class="center-block" style="color:#000" href="lost_password.php">¿ Olvidaste tu Password ?</a>
          </div>
        </div>
        
        <div class="form-group">
          <div class="col-sm-offset-2 col-sm-10">
            <button type="submit" class="btn btn-default">Iniciar Sesi&oacute;n</button>
            
          </div>
        </div>
        
        <div class="form-group">
          <div class="col-sm-offset-2 col-sm-10" style="color:gray">
            ¿No tienes Cuenta?&nbsp;<a class="" href="#" id="registrar2"><b>Crear Ahora</b></a>
          </div>
        </div>
      </form>
      
      
       
        
        
        </div>
        
      </div>
    </div>
</div>

<!--modal-->
  <div class="modal fade " id="ModalRegistro" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" style="z-index:9999999999998 !important;overflow-y: auto;
" data-keyboard="false" data-backdrop="static">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
              <h4 class="modal-title" id="myModalLabel">Registro</h4>
            </div>
            <div class="modal-body">

            <div class="alert alert-success alert-dismissible" role="alert" style="display:none" id="div_registro_ok">
              <h3><b>Bienvenido</b><br><br>
              Registro realizado correctamente, por favor revisa el e-Mail de confirmaci&oacute;n que te hemos enviado.</h3>
            </div>

              <form class="form-horizontal" method="POST" id="frmnuevocliente">
                  <div class="form-group">
                    <label class="control-label col-sm-12" for="run_cliente" style="text-align:left;">RUN (*):</label>
                    <div class="col-sm-12">
                    <input type="text" name="text" id="run_cliente" autocomplete="off" class="form-control" placeholder="RUN: Ej: (12345678-1)" required="true" maxlength="12">
                    </div>
                    <label class="control-label col-sm-12" for="run_cliente2" style="text-align:left;" id="run_cliente2"></label>
                  </div>


                  <div class="form-group">
                    <label class="control-label col-sm-12" for="nombre_cliente" style="text-align:left;">Nombres (*):</label>
                    <div class="col-sm-12">
                    <input type="text" name="text" autocomplete="off" id="nombre_cliente" class="form-control" placeholder="Nombre" required="true">
                    </div>
                    <label class="control-label col-sm-12" for="nombre_cliente2" style="text-align:left;" id="nombre_cliente2"></label>
                  </div>

                  <div class="form-group">
                    <label class="control-label col-sm-12" for="apellidop_cliente" style="text-align:left;">Apellido Paterno (*):</label>
                    <div class="col-sm-12">
                    <input type="text" name="text" autocomplete="off" id="apellidop_cliente" class="form-control" placeholder="Apellido Paterno" required="true">
                    </div>
                    <label class="control-label col-sm-12" for="apellidop_cliente2" style="text-align:left;" id="apellidop_cliente2"></label>
                  </div>

                  <div class="form-group">
                    <label class="control-label col-sm-12" for="apellidom_cliente" style="text-align:left;">Apellido Materno:</label>
                    <div class="col-sm-12">
                    <input type="text" name="text" autocomplete="off" id="apellidom_cliente" class="form-control" placeholder="Apellido Materno" required="true">
                    </div>
                    <label class="control-label col-sm-12" for="apellidom_cliente2" id="apellidom_cliente2" style="text-align:left;"></label>
                  </div>

                  <div class="form-group">
                    <label class="control-label col-sm-12" for="email_cliente" style="text-align:left;">e-Mail  (*):</label>
                    <div class="col-sm-12">
                    <input type="text" name="text" autocomplete="off" id="email_cliente" class="form-control" placeholder="e-Mail" required="true">
                    </div>
                    <label class="control-label col-sm-12" for="email_cliente2" style="text-align:left;" id="email_cliente2"></label>
                  </div>

                  <div class="form-group">
                    <label class="control-label col-sm-12" for="telefono1_cliente" style="text-align:left;">Telefóno (*):</label>
                    <div class="col-sm-12">
                    <input type="text" name="text" autocomplete="off" id="telefono1_cliente" class="form-control" placeholder="Telefono" required="true">
                    </div>
                    <label class="control-label col-sm-12" for="telefono1_cliente2" style="text-align:left;" id="telefono1_cliente2"></label>
                  </div>

                  <div class="form-group">
                    <label class="control-label col-sm-12" for="pass_1" style="text-align:left;">Password (*):</label>
                    <div class="col-sm-12">
                    <input type="password" name="text" autocomplete="off" id="pass_1" class="form-control" placeholder="Password" required="true">
                    </div>
                    <label class="control-label col-sm-12" for="pass_1_2" style="text-align:left;" id="pass_1_2"></label>
                  </div>

                  <div class="form-group">
                    <label class="control-label col-sm-12" for="pass_2" style="text-align:left;">Repita Password:</label>
                    <div class="col-sm-12">
                    <input type="password" name="text" autocomplete="off" id="pass_2" class="form-control" placeholder="Repita Password" required="true">
                    </div>
                    <label class="control-label col-sm-12" for="pass_2_2" style="text-align:left;" id="pass_2_2"></label>
                  </div>
                  <!--
                  <div class="form-group">
                    <label class="control-label col-sm-12" for="telefono2_cliente" style="text-align:left;">Telefóno 2:</label>
                    <div class="col-sm-12">
                    <input type="text" name="text" autocomplete="off" id="telefono2_cliente" class="form-control" placeholder="Telefono 2" required="true">
                    </div>
                    <label class="control-label col-sm-12" for="telefono2_cliente2" style="text-align:left;" id="telefono2_cliente2"></label>
                  </div>
                  -->

                  <!--
                  <div class="form-group">
                    <label class="control-label col-sm-12" for="fecnacimiento_cliente" style="text-align:left;">Fecha Nacimiento:</label>
                    <div class="col-sm-12">
                    <input type="text" autocomplete="off" name="fecnacimiento_cliente" id="fecnacimiento_cliente" readonly="readonly" class="form-control" value="<?echo date('d/m/Y');?>" data-date-format="dd/mm/yyyy">
                    </div>
                    <label class="control-label col-sm-12" for="fecnacimiento_cliente2" style="text-align:left;" id="fecnacimiento_cliente2"></label>
                  </div>
                   -->

                  <div class="row">
                    <label for="label_requerid" id="label_requerid" class="col-lg-12 control-label" style="text-align:left;">(*) Campo Obligatorio</label>
                  </div>
          
                </form>
            </div>
            <div class="modal-footer">
              <button type="button" id="btn_cancela_crea_cliente" class="btn btn-secondary" data-dismiss="modal">cerrar</button>
              <button type="button" id="btn_crea_cliente" class="btn btn-primary btn_crea_cliente">Registrarse</button>
            </div>
          </div>
        </div>
      </div>


      <div class="modal fade " id="ModalPromo" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" style="z-index:9999999999998 !important" data-keyboard="false" data-backdrop="static">
          <div class="modal-dialog">
            <div class="modal-content">

              
              
              <div class="modal-body">
                <!--<button type="button" class="close btn btn-default btn-circle" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true"><i class="glyphicon glyphicon-remove"></i></span>
                </button>-->
                <button type="button" class="btn btn-default btn-circle"  data-dismiss="modal"><i class="glyphicon glyphicon-remove"></i></button>
                <br>
                <br>
                
                  <!--<img src="img/af_promo.jpg" class="img-responsive popup-inscripcion" style="li:hover {cursor: pointer;} !important">-->
                  <img src="img/ls2019.jpg" class="img-responsive">     
                
              </div>
              
            </div>
          </div>
</div>
