<?include $_SERVER['DOCUMENT_ROOT'].'/inc/paginas/seguridad_pagpublica.php';?>
<?include $_SERVER['DOCUMENT_ROOT'].'/inc/cfg/config.php';?>

<link rel="apple-touch-icon" sizes="180x180" href="images/favicon/apple-touch-icon.png">
<link rel="icon" type="image/png" sizes="32x32" href="images/favicon/favicon-32x32.png">
<link rel="icon" type="image/png" sizes="16x16" href="images/favicon/favicon-16x16.png">
<link rel="manifest" href="images/favicon/site.webmanifest">
<link rel="mask-icon" href="images/favicon/safari-pinned-tab.svg" color="#5bbad5">

<!DOCTYPE html>
<html lang="es">
<head>
  
  <meta charset="UTF-8">
  <title></title>
  <meta name="viewport" content="width=device-width">
  <link rel="stylesheet" type="text/css" href="css/bootstrap.min.css">
  <link rel="stylesheet" type="text/css" href="css/datepicker.css">
  <link rel="stylesheet" type="text/css" href="css/style_af.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
    <script src="http://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/js/bootstrap.min.js"></script>
  <script src="js/bootstrap.min.js"></script>
  
  <style type="text/css">
    .float{
    	position:fixed;
    	width:60px;
    	height:60px;
    	bottom:40px;
    	right:40px;
    	background-color:#25d366;
    	color:#FFF;
    	border-radius:50px;
    	text-align:center;
        font-size:30px;
    	box-shadow: 2px 2px 3px #999;
        z-index:100;
    }
    
    .my-float{
    	margin-top:16px;
    }
    
    .iconowhat:hover{
    	color:#FFF;
    }
  </style>



  <?include $_SERVER['DOCUMENT_ROOT'].'/inc/clases/conexion.class.php';?>

  <script type="text/javascript">
  

    $(document).ready(function() {

      $('#rut_recupera').Rut({format_on: 'keyup'});
      
      $( "#rut_recupera" ).blur(function() {

             $(this).Rut({format_on: 'keyup'});

             var run_ingresado = $(this).val();

              $('#rut_recupera').removeClass('inputfailed');
              $('#rut_recupera2').removeClass('texterrorlabel');
              $('#rut_recupera2').text("");

             if(run_ingresado != "" && run_ingresado != 0){

                //alert("Texto ingresado");
                var valido = $.Rut.validar($(this).val());

                var run_sin_formato = $.Rut.quitarFormato($(this).val()); 
                //alert(run_sin_digito);
                var run_sin_digito = run_sin_formato.substring(0,run_sin_formato.length - 1);
                //alert(run_sin_digito);

                if(!valido==true){

                  $('#rut_recupera').val('');
                  $('#rut_recupera').addClass('inputfailed');
                  $('#rut_recupera2').addClass('texterrorlabel');
                  $('#rut_recupera2').text("RUN " + run_ingresado + " NO es valido!");

                }
                
                //var run_format = $.Rut.formatear($(this).val()); 
                
             }//else{
              //alert("No tiene nada");
             //}
     });
      
      $( "#btnSubmit" ).click(function(event) {

            event.preventDefault();

            var rut_recupera = $('#rut_recupera').val();
            var run_sin_formato = $.Rut.quitarFormato($('#rut_recupera').val()); 
            var run_sin_digito = run_sin_formato.substring(0,run_sin_formato.length - 1);

            if(rut_recupera!=" " && rut_recupera!= ""){

                $.ajax({
                    cache: false,
                    type: 'POST',
                    //url: 'inc/ajax_fx/edit_nomina_partido_futbol.php',
                    url: 'inc/ajax/send_new_password.php',
          
                    data: 
                     { 
                        run_sin_digito: run_sin_digito
                        
                     } ,
                    success: function(data) 
                    {
                      if(data==0){
                        alert("Nueva Password enviada al e-Mail Ingresado!");
                        $('#rut_recupera').val("");
                      }

                      if(data==1){
                        alert("Ha Ocurrido un error, intente nuevamente!");
                      }

                      if(data==2){
                        alert("RUT no Registrado!");
                      }
                      
                      if(data==3){
                        alert("Cuenta de Usuario se encuentra Pendiente de Activacion!");
                      }

                    
                       
                    },
                    error:function() {

                        alert("Error al verificar RUT");
                   }
              });

          }else{

            alert("Ingrese su RUT");
          }
      });
    });
  </script>
  
</head>


<body>

  <header>
    <div class="container">
      <img src="<?echo $logo_pagina;?>">
      
    </div>
  </header>
  <div class="container fluid af arr_c">
    <div class="col-xs-12 col-md-12 error">
    
    <h1>Recupera tu Password</h1>

    <form class="form-signin login-holder" role="form"  method="post">
    
    <label for="inputEmail" style="font-family:Oswald" class="sr-only">Ingrese su RUT</label>
      <div class="form-group">
          <input type="text" id="rut_recupera" name="rut_recupera" class="form-control" placeholder="Ingrese su RUT" required autofocus>
      </div>      
        <label class="control-label col-sm-12" for="rut_recupera2" style="text-align:left;" id="rut_recupera2"></label> 
     

        <!--<button class="btn btn-sm btn-danger btn-block" type="submit" style="font-family:Oswald">Env&iacute;a  Password</button>
        <a class="btn btn-sm btn-success btn-block" href="index.php" style="font-family:Oswald">Volver</a>-->
        
    </form>

    <div class="row">
    <a href="index.php"><button class="btn volver" href="index.php">Volver</button></a><button class="btn arr_2" id="btnSubmit">Enviar Nueva Password</button>
    </div>
    
  </div>
  </div>


  </div>
	<!--
	<footer>
                <div class="footer_left col-xs-12 col-md-6">
                    <ul>
                        <li>© 2012. Acción Total. Todos los derechos reservados.</li>
                        <li><span class="glyphicon glyphicon-map-marker"></span>Libia 75, Las Condes - Chile</li>
                        <li>Servicio al cliente  <span class="glyphicon glyphicon-earphone"></span>(02) 2573-8531</li> 
                        <li>Desarrollado por <a href="http://Sportbyte.cl" target="_blank">Sport Byte</a></li>
                        <li class="tos"><a href="pdf/TOS.pdf" target="_blank">Términos y Condiciones</a> | <a href="pdf/FAQ.pdf" target="_blank">FAQ</a></li>
                    </ul>
                </div>
                <div class="footer_right col-xs-12 col-md-6" >
                    <img src="img/webpay2.png" alt="Webpay Logos" width="195" height="70">
                </div>
    </footer>
    -->
    <?
include $_SERVER['DOCUMENT_ROOT'].'/inc/estructura/footer.php';
?>

<!--Rut-->
    <script src="js/jquery.Rut.js" type="text/javascript"></script>

  
</body>
</html>